<!ENTITY % simple-inline SYSTEM "simple-inline.mod">
%simple-inline;

<!ENTITY % local.block.mix "">
<!ENTITY % block.mix "para|blockquote|graphic %local.block.mix;">

<!NOTATION GIF SYSTEM>
<!NOTATION linespecific SYSTEM>
<!NOTATION PNG SYSTEM "http://www.w3.org/png/">
<!NOTATION ndw PUBLIC "-//Norman Walsh//NONSGML Norm//EN" "ndw.xml">

<!ENTITY % unused.pe "foo">
<!ENTITY unused.general "foo">
<!ENTITY unused.general.external SYSTEM "foo">

<!ENTITY % common.attrib "
	id	ID	#IMPLIED
">

<!ENTITY % URI "CDATA">

<!ELEMENT doc (%block.mix;)+>
<!ATTLIST doc
        xmlns	%URI;	#FIXED 'http://sourceforge.net/projects/dtdparse/test'
	%common.attrib;
>

<!ELEMENT para (#PCDATA|%inline.mix;)*>
<!ATTLIST para
	type	(a|b|c)	#IMPLIED
	%common.attrib;
>

<!ELEMENT blockquote (para+)>
<!ATTLIST blockquote
	type	(a|b|c)	"b"
	%common.attrib;
>

<!ELEMENT emph (#PCDATA|%inline.mix;)*>
<!ATTLIST emph
	%common.attrib;
	role	CDATA	#IMPLIED
>

<!ELEMENT strong (#PCDATA)*>
<!ATTLIST strong
	%common.attrib;
>

<!ELEMENT code (#PCDATA)*>
<!ATTLIST code
	%common.attrib;
>

<!ELEMENT graphic EMPTY>
<!ATTLIST graphic
	%common.attrib;
	fileref	CDATA	#REQUIRED
	format		NOTATION
			(linespecific)	'linespecific'
>


